{% extends 'easy_base.html.twig' %}
{% import 'macro/_forms.html.twig' as macros %}


{% block body %}
    <div>

        <div id="wrapper" style="display: flex; flex-direction: row">
            <div id="leftMenu" style="width: 25vw; margin-top: -30px; height: calc(90vh - 30px); overflow: auto">
                <div>
                    <a href="{{ path('easy_odj_index', {'id' : sitting.id}) }}" class="btn btn-outline-primary"
                       title="Retour">
                        <span class="fa fa-arrow-left"></span>
                        Retourner à l'ordre du jour
                    </a>
                </div>


                <div id="convocationBlock" class="mt-5" style="display: flex; flex-direction: column;">
                    <div class="element-sidebar"
                         id="document_{{ convocationFileId }}"
                         onclick="changePdf('{{ path('file_download', {'id': convocationFileId}) }}')">
                                <span class="three-line-max">
                                   {{ convocationName }}
                                </span>
                    </div>
                </div>


                <div id="otherDocList" class="mt-5" style="display: flex; flex-direction: column; gap :10px">
                    {% for otherDoc in otherDocs %}
                        <div class="element-sidebar"
                             id="document_{{ otherDoc.file.id }}"
                             onclick="changePdf('{{ path('file_download', {'id': otherDoc.file.id}) }}')">
                                <span class="three-line-max">
                                   {{ otherDoc.name }}
                                </span>
                        </div>
                    {% endfor %}
                </div>


                <div id="projectList" class="mt-5" style="display: flex; flex-direction: column; gap :10px">
                    {% for project in projects %}
                        <div class="element-sidebar"
                             id="document_{{ project.file.id }}"
                             onclick="changePdf('{{ path('file_download', {'id': project.file.id}) }}')">
                                <span class="three-line-max">
                                  <span class="badge bg-primary"
                                        style="font-size: 1em; margin-right: 0.3em"> {{ project.rank + 1 }} </span>  {{ project.name }}
                                </span>
                        </div>
                        {% for annex in  project.annexes %}
                            <div class="element-sidebar"
                                 id="document_{{ annex.file.id }}"
                                    {% if not (annex.file.name | isViewable) %}
                                        title="Le document n'est pas un PDF"
                                    {% endif %}
                                 style="margin-left: 16px;  {% if not (annex.file.name | isViewable) %}  opacity: 0.5;  {% endif %} "
                                    {% if(annex.file.name | isViewable) %}
                                        onclick="changePdf('{{ path('file_download', {'id': annex.file.id}) }}')"
                                    {% endif %}
                            >
                                <span class="three-line-max">
                                  {{ annex.rank + 1 }} - {{ annex.title ? annex.title : annex.file.name }}
                                </span>
                            </div>

                        {% endfor %}

                    {% endfor %}


                </div>

            </div>

            <div>

                    <div
                            id="pdf-container"
                            style="overflow: auto; height: calc(100vh - 80px); width: 74vw; position: absolute; top: 50px;"
                            data-url="{{ fileURL }}"
                            data-selected-document-id="{{ selectedDocumentId }}"
                    >

                        <div id="viewer" class="pdfViewer"></div>
                    </div>

                <div style="width: 100px; height: 50px; background: #e1e1e1; position: fixed; right: 20px; bottom: 50px;
                 border-radius: 10px; padding: 5px; display: flex; align-items: center; justify-content: right">

                    <div style="flex: 1; text-align: center">
                        <input id="page-number" style="width:40px; text-align: center; border-radius: 10px">
                    </div>
                    <div style="flex: 1; text-align: center">
                        /
                    </div>
                    <div style="flex: 1; text-align: center">
                        <span id="total-page-number"></span>
                    </div>
                </div>


                <div id="rotate-pdf" style="width: 50px; height: 50px; background: #e1e1e1; position: fixed; right: 130px; bottom: 50px;
                 border-radius: 10px; padding: 5px; display: flex; align-items: center; justify-content: Center">
                    <span class="fas fa-rotate"></span>
                </div>


                <div id="zoom-in" style="width: 50px; height: 50px; background: #e1e1e1; position: fixed; right: 190px; bottom: 50px;
                 border-radius: 10px; padding: 5px; display: flex; align-items: center; justify-content: Center">
                    <span class="fa-solid fa-magnifying-glass-plus"></span>
                </div>


                <div id="zoom-out" style="width: 50px; height: 50px; background: #e1e1e1; position: fixed; right: 250px; bottom: 50px;
                 border-radius: 10px; padding: 5px; display: flex; align-items: center; justify-content: Center">
                    <span class="fa-solid fa-magnifying-glass-minus"></span>
                </div>


            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('pdfjs') }}
    {{ encore_entry_script_tags('sideBarViewer') }}
{% endblock %}